[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# ReadComponentFromTextStream

## Declaration

Source position: lresources.pp line 458

`procedure ReadComponentFromTextStream(`
`AStream: TStream;`
`var RootComponent: TComponent;`
`OnFindComponentClass: TFindComponentClassEvent;`
`TheOwner: TComponent = nil;`
`Parent: TComponent = nil`
`);`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.